program Project1;

uses
  Forms,
  Unit1 in 'Unit1.pas' {frmUmaInstancia},
  uSingleton in 'uSingleton.pas',
  uSingletonDerivado in 'uSingletonDerivado.pas';

{$R *.res}

begin

  //delphi 2006 ou superior
  ReportMemoryLeaksOnShutdown := true;

  //delphi 7, com fastmm4
  //FullDebugModeScanMemoryPoolBeforeEveryOperation := True;
  //SuppressMessageBoxes:=False;

  Application.Initialize;
  Application.CreateForm(TfrmUmaInstancia, frmUmaInstancia);
  Application.Run;
end.
